<template>
  <div class="container">
    <div class="discover-plans">
      <ul class="security-tabs__header">
        <li
          key="0"
          :class="{ tab__selected: 0 === selectedIndex }"
          @click="selectTab(0)"
        >
          START
        </li>
        <li
          key="1"
          :class="{ tab__selected: 1 === selectedIndex }"
          @click="selectTab(1)"
        >
          CLOUD X
        </li>
        <li
          key="2"
          :class="{ tab__selected: 2 === selectedIndex }"
          @click="selectTab(2)"
        >
          PREMIUM
        </li>
      </ul>
      <div class="discover-plans__tab tab">
        <div class="tab__content">
          <p v-show="selectedIndex === 0" class="base-title base-title--first">X Cloud</p>
          <p v-show="selectedIndex === 1" class="base-title">Individual</p>
          <p v-show="selectedIndex === 1" class='list-item__subtitle'>{{$t('cloudxText')}}</p>
          <p v-show="selectedIndex === 2" class="base-title">Premium</p>
          <p v-show="selectedIndex === 2" class='list-item__subtitle'>{{$t('premiumText')}}</p>
          <div id="discover-list-scroll" class="tab__list">
            <div v-show="selectedIndex === 0">
              <div
                v-for="item in $t('starList')"
                :key="item.name"
                class="tab__list-item list-item"
              >
                <p class="list-item__name">{{ item.name }}</p>
                <p class="list-item__text">{{ item.text }}</p>
              </div>
            </div>
            <div  v-show="selectedIndex === 1">
              <div
                v-for="(item) in $t('cloudxList')"
                :key="item.name"
                class="tab__list-item list-item"
              >
                <p class="list-item__name">{{ item.name }}</p>
                <p class="list-item__text">{{ item.text }}</p>
              </div>
            </div>
            <div v-show="selectedIndex === 2">
              <div
                v-for="(item, index) in $t('premiumLIst')"
                :key="`${item.name}${index}`"
                class="tab__list-item list-item"
              >
                <p class="list-item__name">{{ item.name }}</p>
                <p class="list-item__text">{{ item.text }}</p>
              </div>
            </div>
          </div>
          <div class="tab__actions">
            <base-button
              shaded
              @click.native="submitPlan"
            >
              {{ $t('applyBtn') }}
            </base-button>
          </div>
        </div>
        <div class="tab__img">
          <img
            src="../../assets/img/hub/discover-plans.svg"
            alt=""
            width="541"
            height="467"
          />
        </div>
      </div>
    </div>
  </div>
</template>


<i18n>
{
  "en": {
    "starList":[
      {
        "name":"Trading Core"
      },
      {
        "name":"Trading platform"
      },
      {
        "name":"Currency management system"
      },
      {
        "name":"Security system"
      },
      {
        "name":"Administrator control panel"
      },
      {
        "name":"Support panel (ticket system)"
      },
      {
        "name":"Two types of orders (market and limit)"
      }
    ],
    "cloudxText": "All of the features of the 'START' package, plus:",
    "cloudxList":[
      {
        "name":"Three additional order types (stop loss, take profit and trailing stop)"
      },
      {
        "name":"Mass order cancel"
      },
      {
        "name":"Market overview"
      },
      {
        "name":"The ability to integrate BIP + Tokens, WAVES + Tokens"
      }
    ],
    "premiumText": "All of the features of the 'CLOUD X' package, plus:",
    "premiumLIst":[
      {
        "name":"The ability to integrate BIP + Tokens, WAVES + Tokens"
      },
      {
        "name":"Addition functionality and design on demand "
      },
      {
        "name":"Technical support"
      },
      {
        "name":"Work with exchange API"
      },
      {
        "name":"Margin trading and orders"
      }
    ],
    "applyBtn": "Apply It"

  },
  "ch": {
    "starList":[
      {
        "name":"交易核心"
      },
      {
        "name":"交易平台"
      },
      {
        "name":"货币管理制度"
      },
      {
        "name":"安全系统"
      },
      {
        "name":"管理员控制面板"
      },
      {
        "name":"支持面板（票据系统）"
      },
      {
        "name":"两种类型的订单（市场和限价）"
      }
    ],
    "cloudxText": "START 套餐的所有期货，加上:",
    "cloudxList":[
      {
        "name":"三种额外的订单类型（止损、获利和追踪止损）。"
      },
      {
        "name":"大批订单取消"
      },
      {
        "name":"市场概况"
      },
      {
        "name":"能够整合BIP + 代币、WAVES + 代币"
      }
    ],
    "premiumText": "CLOUD X 套餐的所有期货，加上:",
    "premiumLIst":[
      {
        "name":"能够整合BIP + 代币、WAVES + 代币"
      },
      {
        "name":"按需增加功能和设计"
      },
      {
        "name":"技术支持"
      },
      {
        "name":"与交易所API合作"
      },
      {
        "name":"保证金交易和订单"
      }
    ],
    "applyBtn": "应用它"

  },
  "tur": {
    "starList":[
      {
        "name":"Trading Core"
      },
      {
        "name":"Trading platform"
      },
      {
        "name":"Currency management system"
      },
      {
        "name":"Security system"
      },
      {
        "name":"Administrator control panel"
      },
      {
        "name":"Support panel (ticket system)"
      },
      {
        "name":"Two types of orders (market and limit)"
      }
    ],
    "cloudxText": "All of the features of the 'START' package, plus:",
    "cloudxList":[
      {
        "name":"Three additional order types (stop loss, take profit and trailing stop)"
      },
      {
        "name":"Mass order cancel"
      },
      {
        "name":"Market overview"
      },
      {
        "name":"The ability to integrate BIP + Tokens, WAVES + Tokens"
      }
    ],
    "premiumText": "All of the features of the 'CLOUD X' package, plus:",
    "premiumLIst":[
      {
        "name":"The ability to integrate BIP + Tokens, WAVES + Tokens"
      },
      {
        "name":"Addition functionality and design on demand "
      },
      {
        "name":"Technical support"
      },
      {
        "name":"Work with exchange API"
      },
      {
        "name":"Margin trading and orders"
      }
    ],
    "applyBtn": "Apply It"

  }
}
</i18n>

<script>
import Scrollbar from 'smooth-scrollbar'
import { mapActions } from 'vuex'
import BaseButton from '../base/BaseButton'
export default {
  components: { BaseButton },
  data() {
    return {
      selectedIndex: 0,
    }
  },
  mounted() {
    Scrollbar.init(document.querySelector('#discover-list-scroll'), {
      alwaysShowTracks: true,
    })
  },
  methods: {
    ...mapActions({
      setCurrentPlan: "setCurrentPlan"
    }),

    selectTab(i) {
      this.selectedIndex = i
    },

    submitPlan() {
      if(this.selectedIndex === 0) {
        this.setCurrentPlan('TBCC Cloud / START');
      }
      if(this.selectedIndex === 1) {
        this.setCurrentPlan('TBCC Cloud / CLOUD X');
      }
      if(this.selectedIndex === 2) {
        this.setCurrentPlan('TBCC Cloud / PREMIUM');
      }
      this.$router.push(this.localePath('/application'));
    }
  },
}
</script>

<style lang="scss" scoped>
.container {
  @media (max-width: 767px) {
    padding: 0;
  }
}

.discover-plans {
  background: #0e1b4e;
  border-radius: 36px;
  padding: 42px 0;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 120px;

  @media (max-width: 767px) {
    border-radius: 0;
    padding: 32px 0;
    margin-bottom: 40px;
  }

  &__tab {
    display: flex;
    width: 100%;
  }
}

.tab {
  @media (max-width: 767px) {
    flex-direction: column;
    align-items: center;
  }

  &__content,
  &__img {
    flex: 0 0 50%;
    max-width: 50%;
    width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
      width: 100%;
    }
  }

  &__img {
    @media (max-width: 767px) {
      order: -1;
      display: flex;
      justify-content: center;
      max-width: 436px;
    }

    img {
      max-width: 541px;
      max-height: 467px;
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
  }

  &__content {
    padding-left: 95px;
    position: relative;
    padding-bottom: 90px;

    @media (max-width: 1023px) {
      padding-left: 35px;
    }

    @media (max-width: 767px) {
      padding: 0 23px 90px;
    }
  }

  &__list {
    max-width: 440px;
    width: 100%;
    height: 380px;
    overflow: auto;

    @media (max-width: 767px) {
      max-width: unset;
    }
  }

  &__actions {
    position: absolute;
    width: 100%;
    left: 0;
    top: 475px;
    background: linear-gradient(180deg, rgba(14, 27, 78, 0) 0%, #0e1b4e 100%);
    height: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
}

.list-item {
  padding-right: 10px;

  &:not(:last-child) {
    margin-bottom: 47px;
  }

  p {
    padding-left: 31px;
  }

  &__name {
    font-size: 18px;
    color: white;
    margin: 0 0 15px;
    position: relative;

    @media (max-width: 767px) {
      font-size: 16px;
    }

    &::before {
      content: '';
      position: absolute;
      width: 15px;
      height: 12px;
      background-image: url('../../assets/img/hub/discover-check.svg');
      background-position: center;
      background-repeat: no-repeat;
      left: 0;
      top: 50%;
      transform: translateY(-50%);
    }
  }

  &__text {
    font-size: 14px;
    line-height: 22px;
    color: #6983ab;
    max-width: 335px;
    margin: 0;
  }

  &__subtitle {
    font-size: 18px;
    color: white;
    margin: 0 0 35px;
  }
}

.base-title {
  font-weight: 500;
  font-size: 36px;
  margin: 0 0 20px;

  &--first {
    margin: 0 0 75px;
  }
}

ul.security-tabs__header {
  display: flex;
  list-style: none;
  margin: 0 0 40px;
  padding: 0;
  justify-content: flex-start;
  z-index: 1;
  max-width: 540px;
  width: 100%;

  @media (max-width: 767px) {
    max-width: unset;
    margin-bottom: 0;
  }
}

.security-tabs__header {
  li {
    padding: 0 0 20px;
    margin: 0;
    text-align: center;
    cursor: pointer;
    width: 50%;
    color: #ffffff99;
    font-size: 20px;
    font-weight: 500;
    position: relative;
    text-transform: uppercase;
    z-index: 1;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 16px;
      padding: 0 0 25px;
      border-bottom: 2px solid #2b3764;
    }

    &::before {
      content: '';
      position: absolute;
      bottom: -2px;
      background: #2b3764;
      z-index: -1;
      height: 2px;
      left: 0;
      width: 100%;
    }
  }
}

li.tab__selected {
  color: #ffffff;
  position: relative;

  &::before {
    content: '';
    position: absolute;
    bottom: -2px;
    z-index: -1;
    height: 2px;
    left: 0;
    width: 100%;
    background: linear-gradient(77.9deg, #0066ff -3.83%, #2ce0c5 110.36%);

    @media (max-width: 767px) {
      z-index: 2;
      width: 85%;
    }
  }
}

li.tab__selected:first-child {
  @media (max-width: 767px) {
    &:before {
      right: 0;
      left: unset;
    }
  }
}
</style>
